Api Documentation

Webhooks

This endpoint can be used to manage webhooks. A Webhook can be created on the listed object_type.
Retrieves a collection of webhooks and rudimentary information about them.
Creates a webhook. Only available for listed endpoints.
Json
XML
POST https://api.bundeling.com/V2/webhooks

Parameters

Body

NameDescriptionTypeNillableRequired
nameThe name of an action.stringfalsetrue
object_typeThe type of the object.
Accepted values: BulletinBoardItem, BulletinBoardPicture, Category, Club, Comment, Customer, Event, EventPicture, FormData, Label, Like, ManOfTheMatch, Match, NewsItem, Player, Poll, PollVote, QRCode, SocialSharing, User, UserAttendsEvent, UserAttendsMatch, UserConnection
stringfalsetrue
eventThe event name.
Accepted values: add, save, delete, activated, canceled, form_data_submitted, score_set
stringfalsetrue
Please note: the following object_type have extra events: BulletinBoardItem can be used with event "activated", Event can be used with event "canceled", FormData can be used with event "form_data_submitted", Match can be used with event "score_set"
endpointThe endpoint of the webhookstringfalsetrue
methodThe HTTP method of the webhook. Defaults to POST if not provided.
Accepted values: GET, POST, PUT, DELETE
stringfalsefalse
headersThe headers of the webhookjsonfalsefalse

Example request

Headers

Content-Type:application/json
Api-Key:RAegSX8yZfEbqSPM

Body

{
    "name": "User update",
    "object_type": "User",
    "event": "save",
    "endpoint": "https://example.com/webhook_callback",
    "method": "POST",
    "headers": {
        "Authorization": "Token B_MDgwZmZiYTEtYjU2Yi00YzVjLWEzZTMtZWM1MThlNDAzZmU5"
    }
}

Example response

{
    "uuid": "eeb763c41c054dcc8f6d9362f24ee9b2",
    "name": "User update",
    "object_type": "User",
    "event": "save",
    "endpoint": "https://example.com/webhook_callback",
    "method": "POST",
    "headers": [
        "Authorization:Token B_MDgwZmZiYTEtYjU2Yi00YzVjLWEzZtmTZWM1MThlNDAzZmU5"
    ],
    "creationdate": "2026-04-03T00:00:00+0200",
    "lastupdate": "2026-04-03T00:00:00+0200"
}